Webhooks
Base URL: https://webvyze.com/api/v1 · click an endpoint for its scope, parameters, example and responses.
POST/sites/{site}/deploy-hookCreate the deploy hook of a site (returns its URL once)
Needs a token with api:write. Needs the sites.manage permission in the account.
- Scope
api:write- Path parameters
{site} integer- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/sites/{site}/deploy-hookDELETE/sites/{site}/deploy-hookRemove the deploy hook of a site
Needs a token with api:write. Needs the sites.manage permission in the account.
- Scope
api:write- Path parameters
{site} integer- Responses
- 200401402403422429
curl -X DELETE -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/sites/{site}/deploy-hookGET/webhooksWebhooks of the account
Needs access to the site, when there is one.
- Scope
api:read- Responses
- 200401402403422429
curl -H "Authorization: Bearer $WEBVYZE_KEY" \ https://webvyze.com/api/v1/webhooks
POST/webhooksAdd a webhook
Needs a token with api:write. Needs the integrations.manage permission in the account.
- Scope
api:write- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/webhooksDELETE/webhooks/{webhook}Remove a webhook
Needs a token with api:write. Needs the integrations.manage permission in the account.
- Scope
api:write- Path parameters
{webhook} integer- Responses
- 200401402403422429
curl -X DELETE -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/webhooks/{webhook}POST/webhooks/{webhook}/testSend a test event (and approve a pending webhook)
Needs a token with api:write. Needs the integrations.manage permission in the account.
- Scope
api:write- Path parameters
{webhook} integer- Responses
- 200401402403422429
curl -X POST -H "Authorization: Bearer $WEBVYZE_KEY" \
-H "Content-Type: application/json" -d '{}' \
https://webvyze.com/api/v1/webhooks/{webhook}/test